%define upstream_name 	 XML-Simple
%define upstream_version 2.25

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Easy API to maintain XML (esp config files)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XML::NamespaceSupport) >= 1.40.0
BuildRequires: perl(XML::SAX) >= 0.150.0
BuildRequires: perl(XML::SAX::Expat)
BuildArch:  noarch

%description
XML::Simple is a trivial perl API to manipulate XML.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/XML
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.250.0-5.mga10
+ Revision: 2204816
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 2.250.0-4.mga9
+ Revision: 1810662
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.250.0-3.mga8
+ Revision: 1507057
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2.250.0-2.mga7
+ Revision: 1287320
- Mageia 7 Mass Rebuild

* Mon Mar 19 2018 tv <tv> 2.250.0-1.mga7
+ Revision: 1210437
- update to 2.25

* Sun Jul 23 2017 shlomif <shlomif> 2.240.0-1.mga7
+ Revision: 1129065
- update to 2.24

* Sun Jun 19 2016 pterjan <pterjan> 2.220.0-2.mga6
+ Revision: 1036159
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 2.220.0-1.mga6
+ Revision: 924086
- update to 2.22

* Sat Oct 18 2014 umeabot <umeabot> 2.200.0-6.mga5
+ Revision: 788328
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.200.0-5.mga5
+ Revision: 743415
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.200.0-4.mga5
+ Revision: 686965
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.200.0-3.mga4
+ Revision: 516148
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.200.0-2.mga3
+ Revision: 375182
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 2.200.0-1.mga3
+ Revision: 268068
- update to 2.20

* Fri Jan 21 2011 jquelin <jquelin> 2.180.0-3.mga1
+ Revision: 29315
- rebuild
- mageia rebuild

* Sat Jan 15 2011 blino <blino> 2.180.0-2.mga1
+ Revision: 19197
- remove old buildrequires
+ jquelin <jquelin>
- imported package perl-XML-Simple


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 2.180.0-1mdv2010.1
+ Revision: 401852
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 2.18-4mdv2009.1
+ Revision: 351664
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.18-3mdv2009.0
+ Revision: 224664
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 2.18-2mdv2008.1
+ Revision: 180660
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.18-1mdv2008.0
+ Revision: 64640
- new version

* Mon Aug 06 2007 Funda Wang <fwang@mandriva.org> 2.17-1mdv2008.0
+ Revision: 59416
- New version 2.17


* Thu Dec 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.16-1mdv2007.0
+ Revision: 96784
- new version
- Import perl-XML-Simple

* Fri Feb 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.14-1mdk
- 2.14

* Wed Nov 24 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.13-1mdk
- 2.13

* Sat Apr 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.12-1mdk
- 2.12

